Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgCurveSegmentCollection Class Reference
[MgCurveSegmentCollection]

MgCurveSegmentCollection provides support for defining an ordered set of curve segments. More...

Inherits MgGuardDisposable.

List of all members.

## Public Member Functions
virtual void | Add (MgCurveSegment *value)
| Adds the specified coordinate to the end of the collection.
virtual void | Clear ()
| Removes all curve segments from the collection.
virtual bool | Contains (const MgCurveSegment *value) const
| Returns true if the collection contains the specified curve segment, false otherwise.
virtual INT32 | GetCount () const
| Gets the number of curve segments in the collection.
virtual MgCurveSegment * | GetItem (INT32 index) const
| Gets the curve segment in the collection at the specified index. Throws an invalid argument exception if the index is out of range.
virtual INT32 | IndexOf (const MgCurveSegment *value) const
| Returns the index of the specified curve segment in the collection or -1 if the curve segment does not exist.
virtual void | Insert (INT32 index, MgCurveSegment *value)
| Inserts the specified curve segment at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item. Throws an invalid argument exception if the specified index is out of range.
| MgCurveSegmentCollection ()
| Construct a MgCurveSegmentCollection object.
virtual bool | Remove (const MgCurveSegment *value)
| Removes the specified curve segment from the collection. Returns true if the curve segment was successfully removed.
virtual void | RemoveAt (INT32 index)
| Removes the curve segment at the specified index from the collection. Throws an invalid argument exception if the index does not exist within the collection.
virtual void | SetItem (INT32 index, MgCurveSegment *value)
| Sets the curve segment in the collection at the specified index to the specified value. Throws an invalid argument exception if the index is out of range.

## Detailed Description

MgCurveSegmentCollection provides support for defining an ordered set of curve segments.

Comments or suggestions? Send us feedback.